faq = [
{ s:"Image menu" },
{
 q:"How can I export images?",
 a:"<p>You can export single images, several images at once, or complete folders. " +
   "Long-press on an image or folder to select it and then choose one of the export icons. " +
   "If you are exporting several images at once, they will be exported as a PDF or in a zip archive. " +
   "The format can be chosen in the settings.</p> " +
   "<p>You can either export to another app, or save the images into the file-system. " +
   "When saving to the file system, the images will usually be stored in the 'Pictures' folder. " +
   "The exact location will be displayed after export.</p>"
    // TODO: image of context tool-bar with explanations
},
{
  q:"How do I delete images?",
  a:"<p>Long-press on the image until the icons in the toolbar change. " +
    "Then select the trashcan icon. You can also delete several images at once " +
    "by selecting them before pressing the trashcan icon.</p>"
},
{
 q:"How can I transfer editable data between devices?",
    a:"<p>Data is stored in '/sdcard/<wbr>Android/<wbr>data/<wbr>de.dirkfarin.imagemeterpro/<wbr>files/<wbr>projects'. " +
   "In this directory, you will find all ImageMeter folders and within these one folder " +
   "for each image. You can simply copy these folders to other devices.</p>"
},
{
 q:"How can I transfer images from the free version to the pro version?",
 a:"<p>In the main screen of the pro version, there is a menu item to import the " +
   "images from the free app.</p>"
},

{ s:"Automatic measurement" },
{
  q:"How do I carry out automatic measurements?",
  a:"<p>In order to perform automatic measurements, you have to provide a reference measurement. " +
    "This is a rectangle with known side lengths. " +
    "After you have drawn the reference, select the dimension you want to have computed and " +
    "press the 'calculator' icon or the 'compute value' menu item. " +
    "If there is only one reference in the image or if a reference is active while you add " +
    "a new measure, this reference will automatically be used for computing the measure value.</p>"
    // TODO: add an example picture
},
{
  q:"I expected ImageMeter to measure dimensions all by itself without any reference...",
  a:"<p>This is impossible. From a single image, one cannot derive its scale. " +
    "An image could show a real house or just a small toy. There is no way " +
    "to know its true size from the image alone.</p>" +
    "<p>You can give ImageMeter the missing information by adding a reference " +
    "rectangle to the image. Based on this, ImageMeter can accurately compute all measures " +
    "that lie in the same plane as this rectangle, including perspective foreshortening.</p>"
    // TODO: add an example picture
},
{
  q:"What kind of objects can I use as references?",
  a:"Whatever you like as long as it is rectangular. For measuring houses, windows are a good " +
    "option. You can also pin a sheet of paper on the wall and use this. The reference even does " +
    "not have to exist physically. Just four points that form an imagined rectangle will work. " +
    "Try to choose the reference as large as possible to increase accuracy."
},
{
  q:"What is the accuracy of computed measurements?",
  a:"<p>In theory, the computed measurements are 100% accurate. In practice, the accuracy depends " +
    "on how accurately you place the reference rectangle corners " +
    "and on the lens distortions of the camera. " +
    "In order to get the highest accuracy possible, you should choose a reference as large as possible.</p>"
},

{ s:"Bluetooth" },
{
  q:"Which laser distance meters are supported?",
  a:"<table id=\"btsupport\">" +
    "<tr><th>Model</th><th>Protocol</th><th>Works</th></tr>" +
    "<tr><td>Leica D110</td>   <td>LE</td>     <td>yes</td></tr>" +
    "<tr><td>Leica D510</td>   <td>LE</td>     <td>yes</td></tr>" +
    "<tr><td>Leica D810</td>   <td>LE</td>     <td>yes</td></tr>" +
    "<tr><td>Leica D3a</td>    <td>classic</td><td>yes</td></tr>" +
    "<tr><td>Leica D8</td>     <td>classic</td><td>yes</td></tr>" +
    "<tr><td>Leica A5</td>     <td>classic</td><td>yes</td></tr>" +
    "<tr><td>Leica Disto Plus</td><td>classic</td><td>yes</td></tr>" +
    "<tr><td>Bosch GLM50c</td> <td>classic</td><td>yes</td></tr>" +
    "<tr><td>Bosch GLM100c</td><td>classic</td><td>yes</td></tr>" +
    "<tr><td>Bosch PLR30c</td> <td>classic</td><td>yes</td> </tr>" +
    "<tr><td>Bosch PLR40c</td> <td>classic</td><td>untested</td> </tr>" +
    "<tr><td>Bosch PLR50c</td> <td>classic</td><td>yes</td> </tr>" +
    "<tr><td>Hilti PD-38</td>  <td>classic</td><td>yes</td></tr>" +
    "<tr><td>CEM ILDM150</td>  <td>classic</td><td>yes</td></tr>" +
    "<tr><td>Stanley TLM99s</td><td>LE</td>    <td>yes</td></tr>" +
    "<tr><td>Suaoki D5T</td>   <td>LE</td>     <td>yes</td></tr>" +
    "<tr><td>Toolcraft LDM-70BT</td><td>classic</td><td>yes</td></tr>" +
    "<tr><td>TruPulse 200</td> <td>classic</td><td>yes</td></tr>" +
    "<tr><td>TruPulse 360</td> <td>classic</td><td>yes</td></tr>" +
    "</table>"
},
{
  q:"How do I connect to a Bluetooth device?",
  a:"<p>Usually, you can simply select your Bluetooth device in the ImageMeter settings. If the " +
    "device is not paired yet, it will do so when you connect to it the first time. If this fails " +
    "or if only the device address is shown instead of its name, it may help to first pair the " +
    "device in the Android settings. " +
    "If you have a device with Bluetooth LE, you do not need to pair it, but it has to be turned " +
    "on to appear in the device list.</p>" +
    "<p>Usually, the transmission protocol is detected automatically, but in rare cases, " +
    "the device name is ambiguous and you have to set the protocol manually in the settings.</p>" +
    "<p>To conntect to the device, press the Bluetooth button at the image menu screen. " +
    "It will blink until the connection is established. Eventually, it should turn blue to denote " +
    "that the connection is active. Sometimes, the OS will ask you to enter the device pin again. " +
    "On some devices, a small Bluetooth icon appears at the title bar and you have to swipe down "+
    "to enter the pin.</p>" +
    "<p>Also make sure that other apps connected to the laser distance meter are closed, as some "+
    "block the connection while they are running in the background. The Leica D810 should be in " +
    "app mode with encryption turned off.</p>"
},
{
  q:"How do I transmit values via Bluetooth?",
  a:"<p>In the image editor, draw a measure or select one. Now press the 'transmit' button on your " +
    "laser distance meter. On some devices, there is no 'transmit' button and the measurement " +
    "will be transmitted as soon as it is taken.</p> " +
    "<p>Note that you should <b>not</b> enter the value-entry dialog to transmit the value.</p>"
},

{ s:"Other" },
{
  q:"What is the difference between free and pro version?",
  a:"The free version has the following limitations:<ul>"+
    "<li>adds watermarks into the exported images,</li>" +
    "<li>maximum of 5 dimensions per image,</li>" +
    "<li>transfer distances of up to 3 meters via Bluetooth.</li>" +
    "</ul>" +
    "If ImageMeter is useful to you, please upgrade to the pro version " +
    "to support further development."
},
{
  q:"What is the difference between upgrading the free version and installing the pro version?",
  a:"<p>There is no difference. Both options will give you exactly the same features.</p>"
},
{
  q:"How can I disable the FAQ button?",
  a:"<p>There is a setting for this in the preferences (in section 'User Interface'). " +
    "When turned off, you can access the FAQ from the menu.</p>"
},
{
  q:"I still have a question, who can I ask?",
  a:"<p>Please write to <a href=\"mailto:imagemeter@gmail.com\">imagemeter@gmail.com</a>.</p>"
}
];
